/*
 *  Shinobi Library
 *  Copyright (c) 1998,2000 SEGA
 *  
 *  Memory Functuion
 *
 *  Module  : Library Header File
 *  File    : sg_symem.h
 *  Create  : 2000-02-23
 *  Modify  : 2000-04-12
 *  Version : 2.10
 *  Note    :
 */
#ifndef _SG_SYMEM_H_
#define _SG_SYMEM_H_

/**************************/
/*  Memory copy function  */
/**************************/
void	syMemCopy(   void *dst, const void *src, Sint32 num );
void	syMemCopy2(  void *dst, const void *src, Sint32 num );
void	syMemCopy4(  void *dst, const void *src, Sint32 num );
void	syMemCopy8(  void *dst, const void *src, Sint32 num );
void	syMemCopy16( void *dst, const void *src, Sint32 num );
void	syMemCopy32( void *dst, const void *src, Sint32 num );
void	syMemCopySQ( void *dst, const void *src, Sint32 num );

/**************************/
/*  Memory set function   */
/**************************/
void	syMemSet(   void *dst, Uint8  dat, Sint32 num );
void	syMemSet2(  void *dst, Uint16 dat, Sint32 num );
void	syMemSet4(  void *dst, Uint32 dat, Sint32 num );
void	syMemSet8(  void *dst, Uint32 dat, Sint32 num );
void	syMemSet16( void *dst, Uint32 dat, Sint32 num );
void	syMemSet32( void *dst, Uint32 dat, Sint32 num );
void	syMemSetSQ( void *dst, Uint32 dat, Sint32 num );

#endif
/* END of FILE */
